%define		_class		PEAR
%define		_subclass	PackageFileManager
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.7.0
Release:	%mkrel 1
Summary:        PEAR_PackageFileManager takes an existing package.xml file and updates it with a new filelist and changelog
License:        New BSD License
Group:          Development/PHP
URL:            http://pear.php.net/package/PEAR_PackageFileManager
Source0:        http://pear.php.net/get/PEAR_PackageFileManager-%{version}.tgz
BuildRequires:   php-pear >= 1.4.7
Requires(pre):  php-pear
BuildArch: noarch

%description
This package revolutionizes the maintenance of PEAR packages.  With a few
parameters,
the entire package.xml is automatically updated with a listing of all files
in a package.
Features include
 - can detect PHP and extension dependencies using PHP_CompatInfo
 - reads in an existing package.xml file, and only changes the
release/changelog
 - a plugin system for retrieving files in a directory.  Currently four
plugins
   exist, one for standard recursive directory content listing, one that
   reads the CVS/Entries files and generates a file listing based on the
contents
   of a checked out CVS repository, one that reads Subversion entries
files, and
   one that queries a Perforce repository.
 - incredibly flexible options for assigning install roles to
files/directories
 - ability to ignore any file based on a * ? wildcard-enabled string(s)
 - ability to include only files that match a * ? wildcard-enabled
string(s)
 - ability to manage dependencies
 - can output the package.xml in any directory, and read in the package.xml
   file from any directory.
 - can specify a different name for the package.xml file

PEAR_PackageFileManager is fully unit tested.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PEAR_PackageFileManager.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PEAR_PackageFileManager.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PEAR_PackageFileManager
fi

%files
%doc docs/PEAR_PackageFileManager/*
%{peardir}/*
%{xmldir}/PEAR_PackageFileManager.xml


%changelog
* Sun Mar 30 2014 spuhler <spuhler> 1.7.0-1.mga3
+ Revision: 610549
- first release in mga3
- Import from cauldron, it's needed for php-pear-PhpDocumentor

* Mon Oct 21 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 539372
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 spuhler <spuhler> 1.7.0-1.mga4
+ Revision: 492062
- imported package php-pear-PEAR_PackageFileManager

